Download it now!
Bug 80160 - PNG with 1-bit colormap only show black and white
Summary: PNG with 1-bit colormap only show black and white
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.0.2 target:4.2.6
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 18:58 UTC by Arnaud Versini
Modified: 2014-06-29 12:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ODG with PNG image that should be Green (595.39 KB, application/vnd.oasis.opendocument.graphics)
2014-06-17 18:59 UTC, Arnaud Versini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaud Versini 2014-06-17 18:58:10 UTC
Steps to reproduce :

Open attached file.

QR code should be green, but display  back
Comment 1 Arnaud Versini 2014-06-17 18:59:00 UTC
Created attachment 101265 [details]
ODG with PNG image that should be Green
Comment 2 Yousuf Philips (jay) (retired) 2014-06-17 19:30:02 UTC
Confirmed in Linux Mint in 4.2.4 and 4.3 beta 2. It is correct in 4.1.6 and below, so its a regression. The QR code are green in the PDF exported from 4.2.4 but still black in exporting from 4.3 beta 2.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-17 19:43:48 UTC
Checked on Windows 7 with 4.2.4 and 4.3 beta 2 and its green. Seems this issue is limited to Linux.
Comment 4 Alex Thurgood 2014-06-17 20:19:54 UTC
Testing on OSX :

LO 3.6.7 : QR code green when ODG opened
LO 4.1.3.2 : QR code green
LO 4.1.6.2 : QR code green
LO 4.2.3.3 : QR code green
LO 4.2.4.2 : QR code green
Comment 5 Alex Thurgood 2014-06-17 20:21:17 UTC
Can not reproduce on OSX 10.9.3
Comment 6 Alex Thurgood 2014-06-17 20:37:57 UTC
PDF export test of ODG

LO 4242 : green QR code
LO 4233 : green QR code
LO 4162 : green QR code
LO 3672 : green QR code


Do I win a prize ?
Comment 7 Arnaud Versini 2014-06-17 20:39:36 UTC
A coffee during the Hackfest :-)
Comment 8 Arnaud Versini 2014-06-18 18:16:48 UTC
Same issue with KDE/QT VCL on Linux 64.
Comment 9 Arnaud Versini 2014-06-18 18:31:54 UTC
Ok so we know a lot more about (just more than nothing :-) )

Seems related to PNG format, image file info is :
test.png: PNG image data555 555 1-bit colormap, non-interlaced

Tested with orange, image is only white. LibreOffice mis-use the 1-bit colormap.
Comment 10 Commit Notification 2014-06-27 07:57:29 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=986c0451d05e7bb6ff7edd9f27d0e45532bcd22c

Resolves: fdo#80160 PNG with 1-bit colormap only show black and white



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-06-27 07:59:21 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1df0c41b602ac144fdde4efcf546549443afa86&h=libreoffice-4-3

Resolves: fdo#80160 PNG with 1-bit colormap only show black and white


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-06-29 12:42:45 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4264b364fee0c691269dafd5993639500cf0bd6b&h=libreoffice-4-2

Resolves: fdo#80160 PNG with 1-bit colormap only show black and white


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.